Booking API
Create a booking resource
Create a schedulable person, site, room, or equipment resource in the current workspace.
POST
/v1/booking/resourcesRequest
Path, query, and JSON body fields accepted by this operation.
namestringrequiredbodymin length 1max length 120kind"person" | "site" | "room" | "equipment"requiredbodypractitionerIdstring<uuid> | nullbodydefault nullparentResourceIdstring<uuid> | nullbodydefault nullscheduleIdstring<uuid> | nullbodydefault null
Response
Successful responses use Dawn's data envelope.
dataBookingResourcerequiredidstring<uuid>requiredworkspaceIdstring<uuid>requirednamestringrequiredmin length 1max length 120kind"person" | "site" | "room" | "equipment"requiredstatus"active" | "inactive"requiredpractitionerIdstring<uuid> | nullrequiredparentResourceIdstring<uuid> | nullrequiredscheduleIdstring<uuid> | nullrequiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
403Scheduling is disabled or a workspace member is required.422The booking resource is invalid.503The booking resource could not be saved.
Last updated on